
DROP TABLE IF EXISTS SCORE;
DROP TABLE IF EXISTS USER;
DROP TABLE IF EXISTS REPONSE;
DROP TABLE IF EXISTS QUESTION;
DROP TABLE IF EXISTS QUESTIONNAIRE;



CREATE OR REPLACE TABLE USER(
          ID int(11) NOT NULL AUTO_INCREMENT,
          NOM varchar(60) NOT NULL,
          PRENOM varchar(60) NOT NULL,
          EMAIL varchar(50) NOT NULL,
          PASSWORD varchar(255) NOT NULL,
          ROLE varchar(10) NOT NULL DEFAULT 'USER',
          PRIMARY KEY(ID)
        );
  

CREATE TABLE QUESTIONNAIRE(
          IDQUESTIONNAIRE int(11) NOT NULL AUTO_INCREMENT,
          NOMQUESTIONNAIRE varchar(200) NOT NULL,
          THEMEQUESTIONNAIRE varchar(200) NOT NULL,
          NOMBREQUESTION int(10) DEFAULT 10,
          PRIMARY KEY(IDQUESTIONNAIRE)
        );

CREATE OR REPLACE TABLE SCORE(
  IDSCORE int(5) NOT NULL AUTO_INCREMENT,
  ID int(11) NOT NULL,
  IDQUESTIONNAIRE int(11) NOT NULL,
  NBREPONSEBONNE int(5) NOT NULL,
  PRIMARY KEY(IDSCORE),
  FOREIGN KEY(ID) REFERENCES USER(ID),
  FOREIGN KEY(IDQUESTIONNAIRE) REFERENCES QUESTIONNAIRE(IDQUESTIONNAIRE)
);


CREATE TABLE QUESTION(
          IDQUESTION int(11) NOT NULL AUTO_INCREMENT,
          NOMQUESTION varchar(200) NOT NULL,
          INTITULE varchar(200) NOT NULL,
          TYPEQUESTION varchar(100) NOT NULL DEFAULT 'choix unique',
          IDQUESTIONNAIRE int(11) NOT NULL,
          PRIMARY KEY(IDQUESTION),
          FOREIGN KEY(IDQUESTIONNAIRE) REFERENCES QUESTIONNAIRE(IDQUESTIONNAIRE)
        );

      
CREATE TABLE REPONSE(
          IDREPONSE int(11) NOT NULL AUTO_INCREMENT,
          NOMREPONSE varchar(120) NOT NULL,
          INTITULEREPONSE varchar(120) NOT NULL,
          BONNE boolean NOT NULL,
          IDQUESTION int(11) NOT NULL,
          PRIMARY KEY(IDREPONSE),
          FOREIGN KEY(IDQUESTION) REFERENCES QUESTION(IDQUESTION)
        );

